# (tv) disable rpath check:
%global __brp_check_rpaths %{nil}

%define upstream_name    Net-Libdnet
%define upstream_version 0.99

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Perl interface to libdnet
License:    BSD
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libdnet-devel
BuildRequires: perl-devel
%description
perl-Net-Libdnet provides perl bindings to the dnet library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%serverbuild
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$CFLAGS" LIBS="-L%{_libdir} -ldnet" INC="-I%{_includedir}"
%make_build LD_RUN_PATH=""

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net
%{_mandir}/man?/*


%changelog
* Wed Nov 29 2023 tv <tv> 0.990.0-9.mga10
+ Revision: 2011251
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.990.0-8.mga9
+ Revision: 1862239
- Rebuild for Perl 5.36

* Mon Mar 28 2022 umeabot <umeabot> 0.990.0-7.mga9
+ Revision: 1829633
- Mageia 9 Mass Rebuild

* Wed Mar 09 2022 tv <tv> 0.990.0-6.mga9
+ Revision: 1789983
- Disable rpath check

* Mon May 24 2021 umeabot <umeabot> 0.990.0-5.mga9
+ Revision: 1726948
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.990.0-4.mga8
+ Revision: 1594950
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.990.0-3.mga8
+ Revision: 1530008
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.990.0-2.mga8
+ Revision: 1433854
- rebuild for perl 5.30

* Wed Oct 17 2018 shlomif <shlomif> 0.990.0-1.mga7
+ Revision: 1321469
- update to 0.99

* Fri Sep 21 2018 umeabot <umeabot> 0.980.0-16.mga7
+ Revision: 1293546
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.980.0-15.mga7
+ Revision: 1249255
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.980.0-14.mga7
+ Revision: 1165862
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.980.0-13.mga7
+ Revision: 1149872
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.980.0-12.mga7
+ Revision: 1126807
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.980.0-11.mga6
+ Revision: 1031156
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.980.0-10.mga6
+ Revision: 962032
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.980.0-9.mga6
+ Revision: 845052
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.980.0-8.mga6
+ Revision: 842569
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.980.0-7.mga5
+ Revision: 742164
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.980.0-6.mga5
+ Revision: 685685
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.980.0-5.mga5
+ Revision: 631522
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.980.0-4.mga4
+ Revision: 524420
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.980.0-3.mga4
+ Revision: 430920
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 370745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.980.0-1.mga3
+ Revision: 342439
- update to 0.98

* Tue Nov 06 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 315208
- update to 0.97

* Wed May 30 2012 jquelin <jquelin> 0.960.0-2.mga3
+ Revision: 250993
- rebuild for perl 5.16

* Thu Dec 08 2011 kharec <kharec> 0.960.0-1.mga2
+ Revision: 179228
- update to 0.96

* Sun Jun 12 2011 sander85 <sander85> 0.940.0-2.mga2
+ Revision: 104843
- Rebuild for perl 5.14

* Wed Feb 16 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 52603
- update to 0.94

* Sat Jan 22 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 30927
- mageia rebuild
- imported package perl-Net-Libdnet

